=== debian/changelog ===
libcutefish (0.7) UNRELEASED; urgency=high

  * Initial release (CutefishOS)  <support@cutefishos.com>

 -- CutefishOS Packaging Team <support@cutefishos.com>  Mon, 27 Dec 2021 11:12:27 +0800
